## org.apache.xpath
Interface ExpressionOwner

All Known Implementing Classes:
  And, AxesWalker, Bool, ContextMatchStepPattern, Div, ElemApplyTemplates, ElemCallTemplate, ElemForEach, Equals, FilterExprWalker, FuncBoolean, FuncCeiling, FuncConcat, FuncContains, FuncCount, FuncDoclocation, FuncDocument, FuncExtElementAvailable, FuncExtFunctionAvailable, FuncFloor, FuncFormatNumb, FuncGenerateId, FuncId, FuncKey, FuncLang, FuncLocalPart, FuncNamespace, FuncNormalizeSpace, FuncNot, FuncNumber, FuncQname, FuncRound, FuncStartsWith, FuncString, FuncStringLength, FuncSubstring, FuncSubstringAfter, FuncSubstringBefore, FuncSum, FuncSystemProperty, Function2Args, Function3Args, FunctionDef1Arg, FunctionMultiArgs, FunctionOneArg, FunctionPattern, FuncTranslate, FuncUnparsedEntityURI, Gt, Gte, Lt, Lte, Minus, Mod, Mult, Neg, NotEquals, Number, Operation, Or, Plus, Quo, ReverseAxesWalker, StepPattern, String, UnaryOperation, WalkingIterator, WalkingIteratorSorted, XPath

    public interface ExpressionOwner

Classes that implement this interface own an expression, which can be rewritten.

Method Summary
`Expression` `getExpression()` Get the raw Expression object that this class wraps.
`void` `setExpression(Expression exp)` Set the raw expression object for this object.

Method Detail

### getExpression

    Expression getExpression()

  Get the raw Expression object that this class wraps.

  Returns:
    the raw Expression object, which should not normally be null.

### setExpression

    void setExpression(Expression exp)

  Set the raw expression object for this object.

  Parameters:
    `exp` - the raw Expression object, which should not normally be null.

Copyright © 2005 Apache XML Project. All Rights Reserved.